/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __NORMAL_MAP_BTF_SKEL_H__
#define __NORMAL_MAP_BTF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct normal_map_btf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *add_to_list_in_array;
	} progs;
	struct {
		struct bpf_link *add_to_list_in_array;
	} links;
	struct normal_map_btf__bss {
		int pid;
		bool done;
	} *bss;

#ifdef __cplusplus
	static inline struct normal_map_btf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct normal_map_btf *open_and_load();
	static inline int load(struct normal_map_btf *skel);
	static inline int attach(struct normal_map_btf *skel);
	static inline void detach(struct normal_map_btf *skel);
	static inline void destroy(struct normal_map_btf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
normal_map_btf__destroy(struct normal_map_btf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
normal_map_btf__create_skeleton(struct normal_map_btf *obj);

static inline struct normal_map_btf *
normal_map_btf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct normal_map_btf *obj;
	int err;

	obj = (struct normal_map_btf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = normal_map_btf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	normal_map_btf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct normal_map_btf *
normal_map_btf__open(void)
{
	return normal_map_btf__open_opts(NULL);
}

static inline int
normal_map_btf__load(struct normal_map_btf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct normal_map_btf *
normal_map_btf__open_and_load(void)
{
	struct normal_map_btf *obj;
	int err;

	obj = normal_map_btf__open();
	if (!obj)
		return NULL;
	err = normal_map_btf__load(obj);
	if (err) {
		normal_map_btf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
normal_map_btf__attach(struct normal_map_btf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
normal_map_btf__detach(struct normal_map_btf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *normal_map_btf__elf_bytes(size_t *sz);

static inline int
normal_map_btf__create_skeleton(struct normal_map_btf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "normal_map_btf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "normal_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "add_to_list_in_array";
	s->progs[0].prog = &obj->progs.add_to_list_in_array;
	s->progs[0].link = &obj->links.add_to_list_in_array;

	s->data = normal_map_btf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *normal_map_btf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xc8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\
\x6f\x73\x6c\x65\x65\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x6e\x6f\x72\x6d\x61\x6c\x5f\x6d\x61\x70\x5f\x62\x74\x66\x2e\
\x63\0\x61\x64\x64\x5f\x74\x6f\x5f\x6c\x69\x73\x74\x5f\x69\x6e\x5f\x61\x72\x72\
\x61\x79\0\x64\x6f\x6e\x65\0\x70\x69\x64\0\x61\x72\x72\x61\x79\0\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6c\x69\
\x73\x74\x5f\x70\x75\x73\x68\x5f\x62\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\
\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\x12\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x40\0\0\0\x67\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x01\0\0\0\x6c\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x70\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x76\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x9f\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x62\xa0\xff\xfc\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x56\x10\0\x21\0\0\0\0\
\x85\0\0\0\0\0\0\x0e\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x5e\x10\0\x1c\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\
\x15\0\0\0\0\x18\x10\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\xbf\x70\0\0\0\0\0\0\x15\x70\0\x0f\0\0\0\0\xbf\x86\0\0\0\0\
\0\0\x07\x80\0\0\0\0\0\x10\xbf\x18\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x07\x70\0\0\
\0\0\0\x08\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x18\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x5e\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x10\0\0\0\0\0\x01\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\
\0\x30\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\
\xa0\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\x01\0\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\x01\
\x18\0\0\0\x04\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\x64\0\0\x03\
\x64\0\0\x03\x1c\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\
\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\
\x07\0\0\0\x19\x04\0\0\x02\0\0\0\x18\0\0\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x28\0\0\
\0\x0d\0\0\0\x80\0\0\0\x2d\x04\0\0\x01\0\0\0\x10\0\0\0\x3b\0\0\0\x0b\0\0\0\0\0\
\0\0\x44\x08\0\0\0\0\0\0\x0a\0\0\0\x4a\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x04\0\0\0\x02\0\0\0\x5d\x11\0\0\0\0\0\0\x07\
\0\0\0\0\0\0\0\x75\x04\0\0\x01\0\0\0\x04\0\0\0\x83\0\0\0\x0e\0\0\0\0\0\0\0\x87\
\x08\0\0\0\0\0\0\x0f\0\0\0\x8d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\
\0\0\0\x11\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x04\
\0\0\x04\0\0\0\x20\0\0\0\x9a\0\0\0\x01\0\0\0\0\0\0\0\x9f\0\0\0\x05\0\0\0\x40\0\
\0\0\xa3\0\0\0\x06\0\0\0\x80\0\0\0\xa9\0\0\0\x10\0\0\0\xc0\0\0\0\xb5\x0e\0\0\0\
\0\0\0\x12\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\
\0\0\xbb\0\0\0\x14\0\0\0\xbf\x0c\0\0\x01\0\0\0\x15\0\0\0\xd4\x04\0\0\x02\0\0\0\
\x20\0\0\0\xde\0\0\0\x09\0\0\0\0\0\0\0\xe3\0\0\0\x18\0\0\0\x40\0\0\0\xe8\x04\0\
\0\x01\0\0\0\x18\0\0\0\x3b\0\0\0\x19\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x04\0\0\0\x03\0\0\0\0\x0d\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x09\0\0\0\
\0\0\0\0\x14\0\0\0\xf6\x0c\0\0\x02\0\0\0\x1a\0\0\0\0\x0d\0\0\x04\0\0\0\x02\0\0\
\0\0\0\0\0\x1d\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x09\0\0\0\0\
\x02\0\0\0\0\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x18\0\0\x01\x07\x0c\0\0\x02\0\0\0\
\x1c\0\0\x01\x1f\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\x04\0\0\0\x04\0\0\x01\x24\x0e\0\0\0\0\0\0\x21\0\0\0\x01\0\0\x01\
\x2d\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x01\x31\x08\0\0\0\0\0\0\x25\0\0\x01\x36\
\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\x01\x3c\x0e\0\0\0\0\0\0\x24\0\0\0\x01\0\0\
\x02\xe5\x0f\0\0\x01\0\0\0\x04\0\0\0\x22\0\0\0\0\0\0\0\x04\0\0\x02\xed\x0f\0\0\
\x02\0\0\0\x05\0\0\0\x23\0\0\0\0\0\0\0\x04\0\0\0\x26\0\0\0\x04\0\0\0\x01\0\0\
\x02\xf2\x0f\0\0\x01\0\0\0\x20\0\0\0\x13\0\0\0\0\0\0\0\x20\0\0\x02\xf8\x0f\0\0\
\x02\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\0\0\x69\x6e\x74\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x68\x65\x61\x64\0\x6c\x6f\x63\x6b\0\
\x62\x70\x66\x5f\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x5f\x5f\x6f\x70\x61\x71\
\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x6f\x6e\x74\x61\x69\x6e\x73\x3a\x6e\x6f\x64\
\x65\x5f\x64\x61\x74\x61\x3a\x6e\x6f\x64\x65\0\x62\x70\x66\x5f\x73\x70\x69\x6e\
\x5f\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x61\x72\x72\x61\x79\0\x63\
\x74\x78\0\x61\x64\x64\x5f\x74\x6f\x5f\x6c\x69\x73\x74\x5f\x69\x6e\x5f\x61\x72\
\x72\x61\x79\0\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\0\x64\x61\x74\x61\0\x6e\x6f\
\x64\x65\0\x62\x70\x66\x5f\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6c\x69\
\x73\x74\x5f\x70\x75\x73\x68\x5f\x62\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x62\x6f\x6f\x6c\0\
\x5f\x42\x6f\x6f\x6c\0\x64\x6f\x6e\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x34\x2e\x65\x6c\x39\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x6e\x6f\x72\x6d\x61\x6c\x5f\x6d\x61\x70\x5f\x62\x74\x66\x2e\x63\0\x09\x69\
\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x64\x6f\
\x6e\x65\x20\x7c\x7c\x20\x28\x69\x6e\x74\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\
\x21\x3d\x20\x70\x69\x64\x29\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\
\x72\x72\x61\x79\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\
\x76\x61\x6c\x75\x65\x29\0\x09\x6e\x65\x77\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\
\x6a\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x6e\x65\x77\x29\x29\
\x3b\0\x09\x69\x66\x20\x28\x21\x6e\x65\x77\x29\0\x09\x62\x70\x66\x5f\x73\x70\
\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x6c\x6f\x63\
\x6b\x29\x3b\0\x09\x62\x70\x66\x5f\x6c\x69\x73\x74\x5f\x70\x75\x73\x68\x5f\x62\
\x61\x63\x6b\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x68\x65\x61\x64\x2c\x20\x26\
\x6e\x65\x77\x2d\x3e\x6e\x6f\x64\x65\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\
\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x6c\x6f\
\x63\x6b\x29\x3b\0\x09\x64\x6f\x6e\x65\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x7d\0\
\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\
\x2e\x6b\x73\x79\x6d\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\
\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\xeb\x9f\x01\0\0\
\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\x0c\0\0\x01\x20\0\0\0\x1c\0\0\0\
\x08\0\0\x02\xff\0\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\x02\xff\0\0\0\x10\0\
\0\0\0\0\0\x01\x41\0\0\x01\xbb\0\0\x94\x06\0\0\0\x08\0\0\x01\x41\0\0\x01\xca\0\
\0\x9c\x06\0\0\0\x20\0\0\x01\x41\0\0\x01\xca\0\0\x9c\x0b\0\0\0\x28\0\0\x01\x41\
\0\0\x01\xca\0\0\x9c\x13\0\0\0\x30\0\0\x01\x41\0\0\x01\xca\0\0\x9c\x31\0\0\0\
\x48\0\0\x01\x41\0\0\x01\xca\0\0\x9c\x0b\0\0\0\x60\0\0\x01\x41\0\0\x01\xff\0\0\
\xa8\x0a\0\0\0\x80\0\0\x01\x41\0\0\x02\x2c\0\0\xac\x06\0\0\0\x88\0\0\x01\x41\0\
\0\x02\x39\0\0\xb8\x08\0\0\0\xb0\0\0\x01\x41\0\0\x02\x5b\0\0\xbc\x06\0\0\0\xb8\
\0\0\x01\x41\0\0\x02\x66\0\0\xc8\x18\0\0\0\xc8\0\0\x01\x41\0\0\x02\x66\0\0\xc8\
\x02\0\0\0\xd8\0\0\x01\x41\0\0\x02\x84\0\0\xcc\x02\0\0\x01\x08\0\0\x01\x41\0\0\
\x02\xb3\0\0\xd0\x02\0\0\x01\x18\0\0\x01\x41\0\0\x02\xd3\0\0\xd4\x07\0\0\x01\
\x30\0\0\x01\x41\0\0\x02\xe1\0\0\xe0\x01\0\0\0\x10\0\0\x02\xff\0\0\0\x01\0\0\0\
\x88\0\0\0\x17\0\0\x02\xe3\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\xd7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x18\0\0\0\
\0\0\0\0\xf0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\x01\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x48\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x08\0\0\0\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x4c\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\x50\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\xa8\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\x70\0\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\xc9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xd0\0\
\0\0\0\0\0\x06\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xce\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x68\0\0\0\0\0\0\x01\
\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct normal_map_btf *normal_map_btf::open(const struct bpf_object_open_opts *opts) { return normal_map_btf__open_opts(opts); }
struct normal_map_btf *normal_map_btf::open_and_load() { return normal_map_btf__open_and_load(); }
int normal_map_btf::load(struct normal_map_btf *skel) { return normal_map_btf__load(skel); }
int normal_map_btf::attach(struct normal_map_btf *skel) { return normal_map_btf__attach(skel); }
void normal_map_btf::detach(struct normal_map_btf *skel) { normal_map_btf__detach(skel); }
void normal_map_btf::destroy(struct normal_map_btf *skel) { normal_map_btf__destroy(skel); }
const void *normal_map_btf::elf_bytes(size_t *sz) { return normal_map_btf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
normal_map_btf__assert(struct normal_map_btf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->done) == 1, "unexpected size of 'done'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __NORMAL_MAP_BTF_SKEL_H__ */
