/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TAILCALL_BPF2BPF6_SKEL_H__
#define __TAILCALL_BPF2BPF6_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tailcall_bpf2bpf6 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *classifier_0;
		struct bpf_program *entry;
	} progs;
	struct {
		struct bpf_link *classifier_0;
		struct bpf_link *entry;
	} links;
	struct tailcall_bpf2bpf6__bss {
		int done;
	} *bss;

#ifdef __cplusplus
	static inline struct tailcall_bpf2bpf6 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tailcall_bpf2bpf6 *open_and_load();
	static inline int load(struct tailcall_bpf2bpf6 *skel);
	static inline int attach(struct tailcall_bpf2bpf6 *skel);
	static inline void detach(struct tailcall_bpf2bpf6 *skel);
	static inline void destroy(struct tailcall_bpf2bpf6 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tailcall_bpf2bpf6__destroy(struct tailcall_bpf2bpf6 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tailcall_bpf2bpf6__create_skeleton(struct tailcall_bpf2bpf6 *obj);

static inline struct tailcall_bpf2bpf6 *
tailcall_bpf2bpf6__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tailcall_bpf2bpf6 *obj;
	int err;

	obj = (struct tailcall_bpf2bpf6 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tailcall_bpf2bpf6__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tailcall_bpf2bpf6__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tailcall_bpf2bpf6 *
tailcall_bpf2bpf6__open(void)
{
	return tailcall_bpf2bpf6__open_opts(NULL);
}

static inline int
tailcall_bpf2bpf6__load(struct tailcall_bpf2bpf6 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tailcall_bpf2bpf6 *
tailcall_bpf2bpf6__open_and_load(void)
{
	struct tailcall_bpf2bpf6 *obj;
	int err;

	obj = tailcall_bpf2bpf6__open();
	if (!obj)
		return NULL;
	err = tailcall_bpf2bpf6__load(obj);
	if (err) {
		tailcall_bpf2bpf6__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tailcall_bpf2bpf6__attach(struct tailcall_bpf2bpf6 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tailcall_bpf2bpf6__detach(struct tailcall_bpf2bpf6 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tailcall_bpf2bpf6__elf_bytes(size_t *sz);

static inline int
tailcall_bpf2bpf6__create_skeleton(struct tailcall_bpf2bpf6 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tailcall_bpf2bpf6";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "tailcall.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "classifier_0";
	s->progs[0].prog = &obj->progs.classifier_0;
	s->progs[0].link = &obj->links.classifier_0;

	s->progs[1].name = "entry";
	s->progs[1].prog = &obj->progs.entry;
	s->progs[1].link = &obj->links.entry;

	s->data = tailcall_bpf2bpf6__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tailcall_bpf2bpf6__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x20\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\
\x61\x70\x73\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\x70\x66\x32\x62\x70\x66\
\x36\x2e\x63\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\0\x63\x6c\x61\
\x73\x73\x69\x66\x69\x65\x72\x5f\x30\0\x64\x6f\x6e\x65\0\x65\x6e\x74\x72\x79\0\
\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x50\0\0\0\x4e\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x5b\x11\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\x12\0\0\x04\0\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\x28\0\0\0\x66\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\x70\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\
\x62\xa0\xff\xfc\0\0\0\x01\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\
\0\0\xbf\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0c\x61\x0a\xff\
\xfc\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x10\0\0\
\0\0\0\x01\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x72\xa0\xff\xff\0\0\0\0\x71\x2a\
\xff\xff\0\0\0\0\x73\xa2\xff\xff\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\
\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x04\x34\0\0\x04\x34\0\0\x03\xf9\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\
\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x03\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\
\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\
\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\x04\
\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\
\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\x0e\0\0\0\
\0\0\0\x09\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\x48\x04\0\0\x22\0\0\0\
\xc0\0\0\0\x52\0\0\0\x0d\0\0\0\0\0\0\0\x56\0\0\0\x0d\0\0\0\x20\0\0\0\x5f\0\0\0\
\x0d\0\0\0\x40\0\0\0\x64\0\0\0\x0d\0\0\0\x60\0\0\0\x72\0\0\0\x0d\0\0\0\x80\0\0\
\0\x7b\0\0\0\x0d\0\0\0\xa0\0\0\0\x88\0\0\0\x0d\0\0\0\xc0\0\0\0\x91\0\0\0\x0d\0\
\0\0\xe0\0\0\0\x9c\0\0\0\x0d\0\0\x01\0\0\0\0\xa5\0\0\0\x0d\0\0\x01\x20\0\0\0\
\xb5\0\0\0\x0d\0\0\x01\x40\0\0\0\xbd\0\0\0\x0d\0\0\x01\x60\0\0\0\xc6\0\0\0\x0f\
\0\0\x01\x80\0\0\0\xc9\0\0\0\x0d\0\0\x02\x20\0\0\0\xce\0\0\0\x0d\0\0\x02\x40\0\
\0\0\xd9\0\0\0\x0d\0\0\x02\x60\0\0\0\xde\0\0\0\x0d\0\0\x02\x80\0\0\0\xe7\0\0\0\
\x0d\0\0\x02\xa0\0\0\0\xef\0\0\0\x0d\0\0\x02\xc0\0\0\0\xf6\0\0\0\x0d\0\0\x02\
\xe0\0\0\x01\x01\0\0\0\x0d\0\0\x03\0\0\0\x01\x0b\0\0\0\x10\0\0\x03\x20\0\0\x01\
\x16\0\0\0\x10\0\0\x03\xa0\0\0\x01\x20\0\0\0\x0d\0\0\x04\x20\0\0\x01\x2c\0\0\0\
\x0d\0\0\x04\x40\0\0\x01\x37\0\0\0\x0d\0\0\x04\x60\0\0\0\0\0\0\0\x11\0\0\x04\
\x80\0\0\x01\x41\0\0\0\x13\0\0\x04\xc0\0\0\x01\x48\0\0\0\x0d\0\0\x05\0\0\0\x01\
\x51\0\0\0\x0d\0\0\x05\x20\0\0\0\0\0\0\0\x15\0\0\x05\x40\0\0\x01\x5a\0\0\0\x0d\
\0\0\x05\x80\0\0\x01\x63\0\0\0\x17\0\0\x05\xa0\0\0\x01\x6f\0\0\0\x13\0\0\x05\
\xc0\0\0\x01\x78\x08\0\0\0\0\0\0\x0e\0\0\x01\x7e\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x04\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\0\x04\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x8b\0\
\0\0\x12\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\x01\x95\x08\0\0\0\0\0\0\x14\0\
\0\x01\x9b\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\
\xae\0\0\0\x16\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x22\0\0\x01\xb1\x08\0\0\0\0\0\0\
\x18\0\0\x01\xb6\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\
\0\x01\xc4\0\0\0\x0b\0\0\x01\xc8\x0c\0\0\x01\0\0\0\x19\0\0\x01\xd5\x0c\0\0\x01\
\0\0\0\x19\0\0\x01\xdb\x0c\0\0\0\0\0\0\x19\0\0\x01\xe8\x0e\0\0\0\0\0\0\x02\0\0\
\0\x01\0\0\x01\xed\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x1e\0\0\0\x04\0\0\0\x04\0\0\x01\xf2\x0e\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\x01\
\xfc\x07\0\0\0\0\0\0\0\0\0\x02\x0a\x07\0\0\0\0\0\0\0\0\0\x03\xdd\x0f\0\0\x01\0\
\0\0\x04\0\0\0\x1d\0\0\0\0\0\0\0\x04\0\0\x03\xe2\x0f\0\0\x01\0\0\0\x04\0\0\0\
\x20\0\0\0\0\0\0\0\x04\0\0\x03\xea\x0f\0\0\x01\0\0\0\x20\0\0\0\x0a\0\0\0\0\0\0\
\0\x20\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\
\x7a\x65\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x5f\x5f\x73\x6b\x5f\x62\x75\
\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\
\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\
\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\
\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\
\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\
\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\
\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\
\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\
\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\
\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\
\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\
\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x63\x6c\x61\x73\x73\x69\x66\x69\
\x65\x72\x5f\x30\0\x65\x6e\x74\x72\x79\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\
\x61\x69\x6c\0\x64\x6f\x6e\x65\0\x63\x68\x61\x72\0\x5f\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x39\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x39\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x61\x69\x6c\
\x63\x61\x6c\x6c\x5f\x62\x70\x66\x32\x62\x70\x66\x36\x2e\x63\0\x69\x6e\x74\x20\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x28\x73\x74\x72\x75\x63\x74\
\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x76\x6f\
\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\x20\x31\x3b\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\
\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x39\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\
\x70\x66\x2f\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x28\x22\x72\x31\x20\x3d\x20\x25\x5b\
\x63\x74\x78\x5d\x5c\x6e\x5c\x74\x22\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\
\x74\x3b\0\x09\x64\x6f\x6e\x65\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x30\x3b\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x63\x68\x61\x72\x20\
\x61\x72\x72\x5b\x31\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x5f\x5f\x73\x69\x6e\x6b\
\x28\x61\x72\x72\x5b\x30\x5d\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\
\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x28\x73\x6b\x62\x29\x3b\0\x2e\x62\x73\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\
\0\x74\x63\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\
\xc4\0\0\0\xf0\0\0\0\0\0\0\0\x08\0\0\x03\xf0\0\0\0\x01\0\0\0\0\0\0\0\x1c\0\0\
\x03\xf6\0\0\0\x02\0\0\0\0\0\0\0\x1a\0\0\0\x28\0\0\0\x1b\0\0\0\x10\0\0\x03\xf0\
\0\0\0\x05\0\0\0\0\0\0\x02\x13\0\0\x02\x90\0\0\x64\0\0\0\0\x08\0\0\x02\x13\0\0\
\x02\xb8\0\0\x70\x0f\0\0\0\x10\0\0\x02\xcf\0\0\x03\x52\0\x02\x84\x02\0\0\0\x40\
\0\0\x02\x13\0\0\x03\x72\0\0\x7c\x09\0\0\0\x48\0\0\x02\x13\0\0\x03\x72\0\0\x7c\
\x02\0\0\x03\xf6\0\0\0\x06\0\0\0\0\0\0\x02\x13\0\0\x03\x7f\0\0\x50\x07\0\0\0\
\x18\0\0\x02\x13\0\0\x03\x8a\0\0\x54\x02\0\0\0\x28\0\0\x02\x13\0\0\x03\x95\0\0\
\x98\x10\0\0\0\x30\0\0\x02\x13\0\0\x03\xb1\0\0\xa0\x02\0\0\0\x40\0\0\x02\x13\0\
\0\x03\xc2\0\0\xa8\x09\0\0\0\x48\0\0\x02\x13\0\0\x03\xc2\0\0\xa8\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\xd0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\
\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x78\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x02\x98\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\x84\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\xa8\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\x8b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc8\0\
\0\0\0\0\0\x08\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x90\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x10\0\0\0\0\0\0\x01\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tailcall_bpf2bpf6 *tailcall_bpf2bpf6::open(const struct bpf_object_open_opts *opts) { return tailcall_bpf2bpf6__open_opts(opts); }
struct tailcall_bpf2bpf6 *tailcall_bpf2bpf6::open_and_load() { return tailcall_bpf2bpf6__open_and_load(); }
int tailcall_bpf2bpf6::load(struct tailcall_bpf2bpf6 *skel) { return tailcall_bpf2bpf6__load(skel); }
int tailcall_bpf2bpf6::attach(struct tailcall_bpf2bpf6 *skel) { return tailcall_bpf2bpf6__attach(skel); }
void tailcall_bpf2bpf6::detach(struct tailcall_bpf2bpf6 *skel) { tailcall_bpf2bpf6__detach(skel); }
void tailcall_bpf2bpf6::destroy(struct tailcall_bpf2bpf6 *skel) { tailcall_bpf2bpf6__destroy(skel); }
const void *tailcall_bpf2bpf6::elf_bytes(size_t *sz) { return tailcall_bpf2bpf6__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tailcall_bpf2bpf6__assert(struct tailcall_bpf2bpf6 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->done) == 4, "unexpected size of 'done'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TAILCALL_BPF2BPF6_SKEL_H__ */
