/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __HTAB_MEM_BENCH_SKEL_H__
#define __HTAB_MEM_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct htab_mem_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *htab;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *overwrite;
		struct bpf_program *batch_add_batch_del;
		struct bpf_program *add_only;
		struct bpf_program *del_only;
	} progs;
	struct {
		struct bpf_link *overwrite;
		struct bpf_link *batch_add_batch_del;
		struct bpf_link *add_only;
		struct bpf_link *del_only;
	} links;
	struct htab_mem_bench__bss {
		unsigned int nr_thread;
		char __pad0[4];
		long op_cnt;
		unsigned char zeroed_value[4096];
	} *bss;

#ifdef __cplusplus
	static inline struct htab_mem_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct htab_mem_bench *open_and_load();
	static inline int load(struct htab_mem_bench *skel);
	static inline int attach(struct htab_mem_bench *skel);
	static inline void detach(struct htab_mem_bench *skel);
	static inline void destroy(struct htab_mem_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
htab_mem_bench__destroy(struct htab_mem_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
htab_mem_bench__create_skeleton(struct htab_mem_bench *obj);

static inline struct htab_mem_bench *
htab_mem_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct htab_mem_bench *obj;
	int err;

	obj = (struct htab_mem_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = htab_mem_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	htab_mem_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct htab_mem_bench *
htab_mem_bench__open(void)
{
	return htab_mem_bench__open_opts(NULL);
}

static inline int
htab_mem_bench__load(struct htab_mem_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct htab_mem_bench *
htab_mem_bench__open_and_load(void)
{
	struct htab_mem_bench *obj;
	int err;

	obj = htab_mem_bench__open();
	if (!obj)
		return NULL;
	err = htab_mem_bench__load(obj);
	if (err) {
		htab_mem_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
htab_mem_bench__attach(struct htab_mem_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
htab_mem_bench__detach(struct htab_mem_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *htab_mem_bench__elf_bytes(size_t *sz);

static inline int
htab_mem_bench__create_skeleton(struct htab_mem_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "htab_mem_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "htab";
	map->map = &obj->maps.htab;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "htab_mem.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "overwrite";
	s->progs[0].prog = &obj->progs.overwrite;
	s->progs[0].link = &obj->links.overwrite;

	s->progs[1].name = "batch_add_batch_del";
	s->progs[1].prog = &obj->progs.batch_add_batch_del;
	s->progs[1].link = &obj->links.batch_add_batch_del;

	s->progs[2].name = "add_only";
	s->progs[2].prog = &obj->progs.add_only;
	s->progs[2].link = &obj->links.add_only;

	s->progs[3].name = "del_only";
	s->progs[3].prog = &obj->progs.del_only;
	s->progs[3].link = &obj->links.del_only;

	s->data = htab_mem_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *htab_mem_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x3f\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x3f\x74\x70\x2f\x73\x79\
\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\
\x74\x70\x70\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\
\x61\x70\x73\0\x68\x74\x61\x62\x5f\x6d\x65\x6d\x5f\x62\x65\x6e\x63\x68\x2e\x63\
\0\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\0\x64\x65\x6c\x5f\
\x68\x74\x61\x62\0\x6e\x65\x77\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\0\x6f\
\x76\x65\x72\x77\x72\x69\x74\x65\0\x6e\x72\x5f\x74\x68\x72\x65\x61\x64\0\x6f\
\x70\x5f\x63\x6e\x74\0\x68\x74\x61\x62\0\x7a\x65\x72\x6f\x65\x64\x5f\x76\x61\
\x6c\x75\x65\0\x62\x61\x74\x63\x68\x5f\x61\x64\x64\x5f\x62\x61\x74\x63\x68\x5f\
\x64\x65\x6c\0\x61\x64\x64\x5f\x6f\x6e\x6c\x79\0\x64\x65\x6c\x5f\x6f\x6e\x6c\
\x79\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x3f\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\x6c\
\x3f\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\x5f\x67\x65\x74\x70\x70\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x68\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x79\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x88\
\x02\0\0\x03\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x50\0\0\0\x91\x02\0\0\x03\0\0\0\0\
\0\0\0\xb8\0\0\0\0\0\0\0\x68\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x9f\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\xa9\x11\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb3\x11\0\0\x07\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x08\0\0\0\xba\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\
\0\xbf\x11\0\0\x07\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\x10\0\0\0\0\xcc\x12\0\0\x04\0\
\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\xe0\0\0\0\xe0\x12\0\0\x04\0\0\0\0\0\0\x01\x78\0\
\0\0\0\0\0\0\xa8\0\0\0\xe9\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\
\xf2\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x62\0\0\0\0\0\0\x18\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x02\x61\x16\0\x04\0\0\0\0\x61\x26\0\0\0\0\0\0\x0c\x21\0\
\0\0\0\0\0\x63\x62\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x62\0\0\
\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x03\x61\x16\0\x04\
\0\0\0\0\x61\x26\0\0\0\0\0\0\x0c\x21\0\0\0\0\0\0\x63\x62\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x85\0\0\0\0\0\0\
\x02\x61\x16\0\x04\0\0\0\0\x61\x26\0\0\0\0\0\0\x0c\x21\0\0\0\0\0\0\x63\x62\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x63\xa0\xff\
\xf8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x63\xa1\
\xff\xfc\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf8\xb4\x10\0\0\0\
\0\0\x40\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\xb5\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\
\0\0\x01\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x63\xa0\xff\
\xf8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x63\xa1\
\xff\xfc\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xf8\xb4\x10\0\0\0\
\0\0\x40\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\xb7\x40\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\xb5\x85\0\0\0\0\0\0\x08\x63\xa0\xff\xf8\0\0\0\0\xb4\x10\
\0\0\0\0\0\x40\x18\x20\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb5\xb7\x10\0\0\0\0\0\x02\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\x01\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x08\x74\0\0\0\0\0\0\x01\x63\xa0\xff\xf8\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x74\x10\0\0\0\0\0\x01\x63\xa1\xff\xfc\0\
\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf8\xb4\x10\0\0\0\0\0\x40\
\x18\x20\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb5\
\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\
\x01\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x74\0\0\0\0\0\0\
\x01\x63\xa0\xff\xf8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\
\0\0\0\x74\x10\0\0\0\0\0\x01\x63\xa1\xff\xfc\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\
\x30\0\0\xff\xff\xff\xf8\xb4\x10\0\0\0\0\0\x40\x18\x20\0\0\0\0\0\x68\0\0\0\0\0\
\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb5\xb7\x10\0\0\0\0\0\x01\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\x01\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x0c\0\0\0\x01\0\0\
\0\0\0\0\0\x70\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x0b\0\0\0\x01\0\0\0\
\0\0\0\0\xd0\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x01\0\0\0\0\
\0\0\0\x48\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\
\0\0\xa8\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\
\x01\x20\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x01\x50\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\
\0\x01\x90\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\x01\xd0\0\0\0\x02\0\0\0\x01\0\0\0\0\
\0\0\x01\xf8\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x01\0\0\0\0\
\0\0\0\x58\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x0a\0\0\0\x01\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\x78\0\0\x02\x78\0\0\x04\xba\0\0\0\0\x02\0\0\0\
\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\
\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\
\0\0\x40\0\0\0\x27\0\0\0\x01\0\0\0\x80\0\0\0\x31\x0e\0\0\0\0\0\0\x07\0\0\0\x01\
\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x36\0\0\0\x09\0\
\0\0\x3a\x0c\0\0\x01\0\0\0\x0a\0\0\0\x44\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x02\0\0\0\0\0\0\x0e\0\0\0\x51\x04\0\0\x02\0\0\0\x08\0\0\0\x5c\0\0\0\x0c\0\0\0\
\0\0\0\0\x61\0\0\0\x0c\0\0\0\x20\0\0\0\0\x0d\0\0\x02\0\0\0\x02\0\0\0\x66\0\0\0\
\x0c\0\0\0\x36\0\0\0\x0d\0\0\0\x68\x0c\0\0\0\0\0\0\x0f\0\0\0\x77\x0c\0\0\x01\0\
\0\0\x0a\0\0\0\x8b\x0c\0\0\0\0\0\0\x0f\0\0\0\x94\x0c\0\0\x01\0\0\0\x0a\0\0\0\
\x9d\x0c\0\0\0\0\0\0\x0f\0\0\0\xab\x0c\0\0\x01\0\0\0\x0a\0\0\0\xb4\x01\0\0\0\0\
\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\x04\0\0\0\x04\0\
\0\0\xb9\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\xc2\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\
\0\0\0\xcc\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\xd1\x0e\0\0\0\0\0\0\x1a\0\0\0\
\x01\0\0\0\xd8\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x1c\0\0\0\x04\0\0\x10\0\0\0\0\xe6\x0e\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\x04\x63\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\x04\x6b\x0f\0\0\x03\0\0\
\x10\x10\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\x1b\0\0\0\x08\0\0\0\x08\0\0\0\x1e\0\
\0\0\x10\0\0\x10\0\0\0\x04\x70\x0f\0\0\x01\0\0\0\x18\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x6d\
\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x68\x74\x61\x62\0\x63\x74\x78\0\x6f\x76\x65\
\x72\x77\x72\x69\x74\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x75\x70\x64\x61\x74\x65\x5f\x63\x74\x78\0\x66\x72\x6f\x6d\0\x73\x74\x65\x70\0\
\x69\0\x6f\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\0\x62\x61\x74\
\x63\x68\x5f\x61\x64\x64\x5f\x62\x61\x74\x63\x68\x5f\x64\x65\x6c\0\x64\x65\x6c\
\x5f\x68\x74\x61\x62\0\x61\x64\x64\x5f\x6f\x6e\x6c\x79\0\x6e\x65\x77\x77\x72\
\x69\x74\x65\x5f\x68\x74\x61\x62\0\x64\x65\x6c\x5f\x6f\x6e\x6c\x79\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x72\x5f\x74\x68\x72\x65\x61\
\x64\0\x6c\x6f\x6e\x67\0\x6f\x70\x5f\x63\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x7a\x65\x72\x6f\x65\x64\x5f\x76\x61\x6c\x75\x65\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\
\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x39\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x68\x74\x61\x62\x5f\x6d\x65\x6d\x5f\
\x62\x65\x6e\x63\x68\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x6f\
\x76\x65\x72\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\x28\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\x20\x69\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x75\
\x70\x64\x61\x74\x65\x5f\x63\x74\x78\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\
\x74\x61\x62\x2c\x20\x26\x63\x74\x78\x2d\x3e\x66\x72\x6f\x6d\x2c\x20\x7a\x65\
\x72\x6f\x65\x64\x5f\x76\x61\x6c\x75\x65\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\
\x09\x63\x74\x78\x2d\x3e\x66\x72\x6f\x6d\x20\x2b\x3d\x20\x63\x74\x78\x2d\x3e\
\x73\x74\x65\x70\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x77\x72\x69\x74\x65\x5f\
\x68\x74\x61\x62\x28\x69\x2c\x20\x63\x74\x78\x2c\x20\x30\x29\x3b\0\x73\x74\x61\
\x74\x69\x63\x20\x69\x6e\x74\x20\x64\x65\x6c\x5f\x68\x74\x61\x62\x28\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x69\x2c\x20\x73\x74\x72\x75\x63\
\x74\x20\x75\x70\x64\x61\x74\x65\x5f\x63\x74\x78\x20\x2a\x63\x74\x78\x29\0\x09\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\x5f\x65\x6c\x65\x6d\
\x28\x26\x68\x74\x61\x62\x2c\x20\x26\x63\x74\x78\x2d\x3e\x66\x72\x6f\x6d\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x73\x74\x61\x74\x69\x63\x20\
\x69\x6e\x74\x20\x6e\x65\x77\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\x28\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x69\x2c\x20\x73\x74\x72\x75\
\x63\x74\x20\x75\x70\x64\x61\x74\x65\x5f\x63\x74\x78\x20\x2a\x63\x74\x78\x29\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\x28\
\x69\x2c\x20\x63\x74\x78\x2c\x20\x42\x50\x46\x5f\x4e\x4f\x45\x58\x49\x53\x54\
\x29\x3b\0\x09\x75\x70\x64\x61\x74\x65\x2e\x66\x72\x6f\x6d\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\
\x5f\x69\x64\x28\x29\x3b\0\x09\x75\x70\x64\x61\x74\x65\x2e\x73\x74\x65\x70\x20\
\x3d\x20\x6e\x72\x5f\x74\x68\x72\x65\x61\x64\x3b\0\x09\x62\x70\x66\x5f\x6c\x6f\
\x6f\x70\x28\x4f\x50\x5f\x42\x41\x54\x43\x48\x2c\x20\x6f\x76\x65\x72\x77\x72\
\x69\x74\x65\x5f\x68\x74\x61\x62\x2c\x20\x26\x75\x70\x64\x61\x74\x65\x2c\x20\
\x30\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\
\x64\x5f\x61\x64\x64\x28\x26\x6f\x70\x5f\x63\x6e\x74\x2c\x20\x31\x29\x3b\0\x09\
\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x4f\x50\x5f\x42\x41\x54\x43\x48\x2c\x20\
\x64\x65\x6c\x5f\x68\x74\x61\x62\x2c\x20\x26\x75\x70\x64\x61\x74\x65\x2c\x20\
\x30\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\
\x64\x5f\x61\x64\x64\x28\x26\x6f\x70\x5f\x63\x6e\x74\x2c\x20\x32\x29\x3b\0\x09\
\x75\x70\x64\x61\x74\x65\x2e\x66\x72\x6f\x6d\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\
\x28\x29\x20\x2f\x20\x32\x3b\0\x09\x75\x70\x64\x61\x74\x65\x2e\x73\x74\x65\x70\
\x20\x3d\x20\x6e\x72\x5f\x74\x68\x72\x65\x61\x64\x20\x2f\x20\x32\x3b\0\x09\x62\
\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x4f\x50\x5f\x42\x41\x54\x43\x48\x2c\x20\x6e\
\x65\x77\x77\x72\x69\x74\x65\x5f\x68\x74\x61\x62\x2c\x20\x26\x75\x70\x64\x61\
\x74\x65\x2c\x20\x30\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x3f\x74\x70\x2f\x73\x79\x73\x63\
\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\
\x67\x69\x64\0\x3f\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x70\x69\x64\0\0\0\0\0\0\0\xeb\x9f\
\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\x03\x3c\0\0\x03\x90\0\0\0\0\0\
\0\0\x08\0\0\x04\x76\0\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\x68\0\0\0\x12\0\0\0\xb8\
\0\0\0\x14\0\0\x04\x7c\0\0\0\x03\0\0\0\0\0\0\0\x0b\0\0\0\x98\0\0\0\x11\0\0\x01\
\x78\0\0\0\x13\0\0\x04\x9b\0\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\x04\x76\0\
\0\0\x0f\0\0\0\0\0\0\0\xf3\0\0\x01\x6d\0\0\x94\0\0\0\0\x08\0\0\0\xf3\0\0\x01\
\xaf\0\0\x7c\x02\0\0\0\x38\0\0\0\xf3\0\0\x01\xed\0\0\x80\x14\0\0\0\x40\0\0\0\
\xf3\0\0\x01\xed\0\0\x80\x0c\0\0\0\x58\0\0\0\xf3\0\0\x02\x06\0\0\x9c\x02\0\0\0\
\x68\0\0\0\xf3\0\0\x02\x25\0\0\xbc\0\0\0\0\x70\0\0\0\xf3\0\0\x02\x61\0\0\xc4\
\x02\0\0\0\x88\0\0\0\xf3\0\0\x01\xed\0\0\xc8\x14\0\0\0\x90\0\0\0\xf3\0\0\x01\
\xed\0\0\xc8\x0c\0\0\0\xa8\0\0\0\xf3\0\0\x02\x8a\0\0\xd0\x02\0\0\0\xb8\0\0\0\
\xf3\0\0\x02\x95\0\0\xa8\0\0\0\0\xc0\0\0\0\xf3\0\0\x01\xaf\0\0\x7c\x02\0\0\0\
\xf0\0\0\0\xf3\0\0\x01\xed\0\0\x80\x14\0\0\0\xf8\0\0\0\xf3\0\0\x01\xed\0\0\x80\
\x0c\0\0\x01\x10\0\0\0\xf3\0\0\x02\xd6\0\0\xb0\x02\0\0\x04\x7c\0\0\0\x1a\0\0\0\
\0\0\0\0\xf3\0\0\x02\xff\0\0\xf0\x10\0\0\0\x08\0\0\0\xf3\0\0\x02\xff\0\0\xf0\
\x0e\0\0\0\x10\0\0\0\xf3\0\0\x03\x2a\0\0\xf4\x10\0\0\0\x28\0\0\0\xf3\0\0\x03\
\x2a\0\0\xf4\x0e\0\0\0\x40\0\0\0\xf3\0\0\x03\x44\0\0\xf8\x02\0\0\0\x70\0\0\0\
\xf3\0\0\x03\x75\0\0\xfc\x02\0\0\0\x88\0\0\0\xf3\0\0\x02\x8a\0\x01\0\x02\0\0\0\
\x98\0\0\0\xf3\0\0\x02\xff\0\x01\x20\x10\0\0\0\xa0\0\0\0\xf3\0\0\x02\xff\0\x01\
\x20\x0e\0\0\0\xa8\0\0\0\xf3\0\0\x03\x2a\0\x01\x24\x10\0\0\0\xc0\0\0\0\xf3\0\0\
\x03\x2a\0\x01\x24\x0e\0\0\0\xd8\0\0\0\xf3\0\0\x03\x44\0\x01\x28\x02\0\0\x01\
\x08\0\0\0\xf3\0\0\x02\xff\0\x01\x30\x10\0\0\x01\x10\0\0\0\xf3\0\0\x02\xff\0\
\x01\x30\x0e\0\0\x01\x18\0\0\0\xf3\0\0\x03\x98\0\x01\x34\x02\0\0\x01\x50\0\0\0\
\xf3\0\0\x03\xc3\0\x01\x3c\x02\0\0\x01\x68\0\0\0\xf3\0\0\x02\x8a\0\x01\x40\x02\
\0\0\x01\x78\0\0\0\xf3\0\0\x03\xe6\0\x01\x60\x10\0\0\x01\x80\0\0\0\xf3\0\0\x03\
\xe6\0\x01\x60\x2b\0\0\x01\x88\0\0\0\xf3\0\0\x03\xe6\0\x01\x60\x0e\0\0\x01\x90\
\0\0\0\xf3\0\0\x04\x15\0\x01\x64\x10\0\0\x01\xa8\0\0\0\xf3\0\0\x04\x15\0\x01\
\x64\x1a\0\0\x01\xb0\0\0\0\xf3\0\0\x04\x15\0\x01\x64\x0e\0\0\x01\xc8\0\0\0\xf3\
\0\0\x04\x33\0\x01\x68\x02\0\0\x01\xf8\0\0\0\xf3\0\0\x03\x75\0\x01\x6c\x02\0\0\
\x02\x10\0\0\0\xf3\0\0\x02\x8a\0\x01\x70\x02\0\0\x04\x9b\0\0\0\x09\0\0\0\0\0\0\
\0\xf3\0\0\x03\xe6\0\x01\x90\x10\0\0\0\x08\0\0\0\xf3\0\0\x03\xe6\0\x01\x90\x2b\
\0\0\0\x10\0\0\0\xf3\0\0\x03\xe6\0\x01\x90\x0e\0\0\0\x18\0\0\0\xf3\0\0\x04\x15\
\0\x01\x94\x10\0\0\0\x30\0\0\0\xf3\0\0\x04\x15\0\x01\x94\x1a\0\0\0\x38\0\0\0\
\xf3\0\0\x04\x15\0\x01\x94\x0e\0\0\0\x50\0\0\0\xf3\0\0\x03\x98\0\x01\x98\x02\0\
\0\0\x80\0\0\0\xf3\0\0\x03\x75\0\x01\x9c\x02\0\0\0\x98\0\0\0\xf3\0\0\x02\x8a\0\
\x01\xa0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x59\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xa0\0\0\0\0\0\0\x01\x98\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x38\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\x58\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x06\x78\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x20\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\
\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x28\0\0\0\0\0\0\x10\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x28\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\x09\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x40\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x03\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x05\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x07\x90\0\0\0\0\0\0\0\xa0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x28\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\x30\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\x01\x4b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x60\0\0\0\0\0\0\x07\x4a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\x01\x50\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\xb0\0\0\0\0\0\0\x03\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct htab_mem_bench *htab_mem_bench::open(const struct bpf_object_open_opts *opts) { return htab_mem_bench__open_opts(opts); }
struct htab_mem_bench *htab_mem_bench::open_and_load() { return htab_mem_bench__open_and_load(); }
int htab_mem_bench::load(struct htab_mem_bench *skel) { return htab_mem_bench__load(skel); }
int htab_mem_bench::attach(struct htab_mem_bench *skel) { return htab_mem_bench__attach(skel); }
void htab_mem_bench::detach(struct htab_mem_bench *skel) { htab_mem_bench__detach(skel); }
void htab_mem_bench::destroy(struct htab_mem_bench *skel) { htab_mem_bench__destroy(skel); }
const void *htab_mem_bench::elf_bytes(size_t *sz) { return htab_mem_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
htab_mem_bench__assert(struct htab_mem_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nr_thread) == 4, "unexpected size of 'nr_thread'");
	_Static_assert(sizeof(s->bss->op_cnt) == 8, "unexpected size of 'op_cnt'");
	_Static_assert(sizeof(s->bss->zeroed_value) == 4096, "unexpected size of 'zeroed_value'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __HTAB_MEM_BENCH_SKEL_H__ */
