/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CGROUP_STORAGE_SKEL_H__
#define __VERIFIER_CGROUP_STORAGE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_cgroup_storage {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *cgroup_storage;
		struct bpf_map *map_hash_8b;
		struct bpf_map *percpu_cgroup_storage;
	} maps;
	struct {
		struct bpf_program *valid_cgroup_storage_access;
		struct bpf_program *invalid_cgroup_storage_access_1;
		struct bpf_program *invalid_cgroup_storage_access_2;
		struct bpf_program *invalid_cgroup_storage_access_3;
		struct bpf_program *invalid_cgroup_storage_access_4;
		struct bpf_program *invalid_cgroup_storage_access_5;
		struct bpf_program *invalid_cgroup_storage_access_6;
		struct bpf_program *per_cpu_cgroup_storage_access;
		struct bpf_program *cpu_cgroup_storage_access_1;
		struct bpf_program *cpu_cgroup_storage_access_2;
		struct bpf_program *cpu_cgroup_storage_access_3;
		struct bpf_program *cpu_cgroup_storage_access_4;
		struct bpf_program *cpu_cgroup_storage_access_5;
		struct bpf_program *cpu_cgroup_storage_access_6;
	} progs;
	struct {
		struct bpf_link *valid_cgroup_storage_access;
		struct bpf_link *invalid_cgroup_storage_access_1;
		struct bpf_link *invalid_cgroup_storage_access_2;
		struct bpf_link *invalid_cgroup_storage_access_3;
		struct bpf_link *invalid_cgroup_storage_access_4;
		struct bpf_link *invalid_cgroup_storage_access_5;
		struct bpf_link *invalid_cgroup_storage_access_6;
		struct bpf_link *per_cpu_cgroup_storage_access;
		struct bpf_link *cpu_cgroup_storage_access_1;
		struct bpf_link *cpu_cgroup_storage_access_2;
		struct bpf_link *cpu_cgroup_storage_access_3;
		struct bpf_link *cpu_cgroup_storage_access_4;
		struct bpf_link *cpu_cgroup_storage_access_5;
		struct bpf_link *cpu_cgroup_storage_access_6;
	} links;

#ifdef __cplusplus
	static inline struct verifier_cgroup_storage *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_cgroup_storage *open_and_load();
	static inline int load(struct verifier_cgroup_storage *skel);
	static inline int attach(struct verifier_cgroup_storage *skel);
	static inline void detach(struct verifier_cgroup_storage *skel);
	static inline void destroy(struct verifier_cgroup_storage *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_cgroup_storage__destroy(struct verifier_cgroup_storage *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_cgroup_storage__create_skeleton(struct verifier_cgroup_storage *obj);

static inline struct verifier_cgroup_storage *
verifier_cgroup_storage__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_cgroup_storage *obj;
	int err;

	obj = (struct verifier_cgroup_storage *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_cgroup_storage__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_cgroup_storage__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_cgroup_storage *
verifier_cgroup_storage__open(void)
{
	return verifier_cgroup_storage__open_opts(NULL);
}

static inline int
verifier_cgroup_storage__load(struct verifier_cgroup_storage *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_cgroup_storage *
verifier_cgroup_storage__open_and_load(void)
{
	struct verifier_cgroup_storage *obj;
	int err;

	obj = verifier_cgroup_storage__open();
	if (!obj)
		return NULL;
	err = verifier_cgroup_storage__load(obj);
	if (err) {
		verifier_cgroup_storage__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_cgroup_storage__attach(struct verifier_cgroup_storage *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_cgroup_storage__detach(struct verifier_cgroup_storage *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_cgroup_storage__elf_bytes(size_t *sz);

static inline int
verifier_cgroup_storage__create_skeleton(struct verifier_cgroup_storage *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_cgroup_storage";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "cgroup_storage";
	map->map = &obj->maps.cgroup_storage;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "map_hash_8b";
	map->map = &obj->maps.map_hash_8b;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "percpu_cgroup_storage";
	map->map = &obj->maps.percpu_cgroup_storage;

	/* programs */
	s->prog_cnt = 14;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "valid_cgroup_storage_access";
	s->progs[0].prog = &obj->progs.valid_cgroup_storage_access;
	s->progs[0].link = &obj->links.valid_cgroup_storage_access;

	s->progs[1].name = "invalid_cgroup_storage_access_1";
	s->progs[1].prog = &obj->progs.invalid_cgroup_storage_access_1;
	s->progs[1].link = &obj->links.invalid_cgroup_storage_access_1;

	s->progs[2].name = "invalid_cgroup_storage_access_2";
	s->progs[2].prog = &obj->progs.invalid_cgroup_storage_access_2;
	s->progs[2].link = &obj->links.invalid_cgroup_storage_access_2;

	s->progs[3].name = "invalid_cgroup_storage_access_3";
	s->progs[3].prog = &obj->progs.invalid_cgroup_storage_access_3;
	s->progs[3].link = &obj->links.invalid_cgroup_storage_access_3;

	s->progs[4].name = "invalid_cgroup_storage_access_4";
	s->progs[4].prog = &obj->progs.invalid_cgroup_storage_access_4;
	s->progs[4].link = &obj->links.invalid_cgroup_storage_access_4;

	s->progs[5].name = "invalid_cgroup_storage_access_5";
	s->progs[5].prog = &obj->progs.invalid_cgroup_storage_access_5;
	s->progs[5].link = &obj->links.invalid_cgroup_storage_access_5;

	s->progs[6].name = "invalid_cgroup_storage_access_6";
	s->progs[6].prog = &obj->progs.invalid_cgroup_storage_access_6;
	s->progs[6].link = &obj->links.invalid_cgroup_storage_access_6;

	s->progs[7].name = "per_cpu_cgroup_storage_access";
	s->progs[7].prog = &obj->progs.per_cpu_cgroup_storage_access;
	s->progs[7].link = &obj->links.per_cpu_cgroup_storage_access;

	s->progs[8].name = "cpu_cgroup_storage_access_1";
	s->progs[8].prog = &obj->progs.cpu_cgroup_storage_access_1;
	s->progs[8].link = &obj->links.cpu_cgroup_storage_access_1;

	s->progs[9].name = "cpu_cgroup_storage_access_2";
	s->progs[9].prog = &obj->progs.cpu_cgroup_storage_access_2;
	s->progs[9].link = &obj->links.cpu_cgroup_storage_access_2;

	s->progs[10].name = "cpu_cgroup_storage_access_3";
	s->progs[10].prog = &obj->progs.cpu_cgroup_storage_access_3;
	s->progs[10].link = &obj->links.cpu_cgroup_storage_access_3;

	s->progs[11].name = "cpu_cgroup_storage_access_4";
	s->progs[11].prog = &obj->progs.cpu_cgroup_storage_access_4;
	s->progs[11].link = &obj->links.cpu_cgroup_storage_access_4;

	s->progs[12].name = "cpu_cgroup_storage_access_5";
	s->progs[12].prog = &obj->progs.cpu_cgroup_storage_access_5;
	s->progs[12].link = &obj->links.cpu_cgroup_storage_access_5;

	s->progs[13].name = "cpu_cgroup_storage_access_6";
	s->progs[13].prog = &obj->progs.cpu_cgroup_storage_access_6;
	s->progs[13].link = &obj->links.cpu_cgroup_storage_access_6;

	s->data = verifier_cgroup_storage__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_cgroup_storage__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x20\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\x72\
\x6f\x75\x70\x2f\x73\x6b\x62\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\
\x6f\x72\x61\x67\x65\x2e\x63\0\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\0\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\
\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\
\x73\x5f\x31\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x69\x6e\x76\x61\
\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\
\x61\x63\x63\x65\x73\x73\x5f\x32\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\
\x33\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x34\0\x69\x6e\x76\x61\x6c\x69\
\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\
\x63\x65\x73\x73\x5f\x35\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x36\0\x70\
\x65\x72\x5f\x63\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x61\x63\x63\x65\x73\x73\0\x70\x65\x72\x63\x70\x75\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x63\x70\x75\x5f\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x31\0\
\x63\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\
\x61\x63\x63\x65\x73\x73\x5f\x32\0\x63\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\
\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x33\0\x63\x70\x75\
\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x34\0\x63\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x35\0\x63\x70\x75\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x36\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\
\x75\x70\x2f\x73\x6b\x62\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x04\0\xff\xf1\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x44\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x60\x11\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x6f\x12\0\0\x03\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x40\0\0\0\x8f\x11\0\0\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x20\0\0\0\x9b\x12\0\0\x03\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x30\0\0\0\xbb\x12\0\
\0\x03\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x40\0\0\0\xdb\x12\0\0\x03\0\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\x40\0\0\0\xfb\x12\0\0\x03\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\
\x40\0\0\x01\x1b\x12\0\0\x03\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\x40\0\0\x01\x3b\
\x12\0\0\x03\0\0\0\0\0\0\x01\xb0\0\0\0\0\0\0\0\x40\0\0\x01\x59\x11\0\0\x04\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\0\0\x01\x6f\x12\0\0\x03\0\0\0\0\0\0\x01\xf0\0\
\0\0\0\0\0\0\x40\0\0\x01\x8b\x12\0\0\x03\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\0\x30\
\0\0\x01\xa7\x12\0\0\x03\0\0\0\0\0\0\x02\x60\0\0\0\0\0\0\0\x40\0\0\x01\xc3\x12\
\0\0\x03\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\x40\0\0\x01\xdf\x12\0\0\x03\0\0\0\0\
\0\0\x02\xe0\0\0\0\0\0\0\0\x40\0\0\x01\xfb\x12\0\0\x03\0\0\0\0\0\0\x03\x20\0\0\
\0\0\0\0\0\x40\0\0\x02\x17\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb7\
\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\
\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\
\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\0\x18\x11\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x57\
\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\x10\x01\0\0\0\0\0\x07\x10\0\0\0\0\0\x01\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\x10\xff\xfe\0\0\0\0\xbf\x01\0\0\0\0\0\0\
\x07\x10\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x07\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\
\0\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\
\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\
\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x61\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\
\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x18\x11\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\
\x61\x10\x01\0\0\0\0\0\x07\x10\0\0\0\0\0\x01\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\
\x61\x10\xff\xfe\0\0\0\0\xbf\x01\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x01\x95\0\0\0\0\
\0\0\0\xb7\x20\0\0\0\0\0\x07\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x51\x61\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\
\0\0\0\xbf\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x51\x61\x10\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x57\0\0\0\0\0\0\x01\x95\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\
\xb8\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\x01\
\x38\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\x01\x78\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\
\x01\xb8\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x01\xf8\0\0\0\x06\0\0\0\x01\0\0\0\0\0\
\0\x02\x68\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x02\xa8\0\0\0\x04\0\0\0\x01\0\0\0\0\
\0\0\x02\xe8\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x03\x28\0\0\0\x0d\0\0\0\x01\xeb\
\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x07\x10\0\0\x07\x10\0\0\x0b\x6f\0\0\0\0\x02\0\
\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x13\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\0\
\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x04\0\0\x02\0\0\0\x10\0\0\0\x30\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\x0b\0\0\0\x40\0\0\0\x4c\x08\0\0\0\0\0\0\x0a\0\0\0\
\x52\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x65\x08\0\0\0\0\0\0\x0c\0\0\0\x6b\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0f\0\0\0\x78\x01\0\0\0\0\0\
\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x04\0\0\0\x40\0\0\
\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x7d\0\0\0\x01\0\0\0\0\0\0\0\x82\0\0\0\x05\0\0\
\0\x40\0\0\0\x8e\0\0\0\x07\0\0\0\x80\0\0\0\x92\0\0\0\x0d\0\0\0\xc0\0\0\0\x98\
\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x15\0\0\0\xa7\x01\
\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x7d\0\0\0\x12\
\0\0\0\0\0\0\0\x82\0\0\0\x12\0\0\0\x40\0\0\0\x8e\0\0\0\x14\0\0\0\x80\0\0\0\x92\
\0\0\0\x14\0\0\0\xc0\0\0\0\xb1\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\0\0\x02\0\0\0\
\0\0\0\x19\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x15\0\0\0\0\x04\
\0\0\x04\0\0\0\x20\0\0\0\x7d\0\0\0\x18\0\0\0\0\0\0\0\x82\0\0\0\x05\0\0\0\x40\0\
\0\0\x8e\0\0\0\x07\0\0\0\x80\0\0\0\x92\0\0\0\x0d\0\0\0\xc0\0\0\0\xbd\x0e\0\0\0\
\0\0\0\x1a\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\xd3\x0c\0\0\x01\0\0\0\x1c\
\0\0\0\xef\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\x01\x24\x11\0\0\0\0\0\0\x1d\
\xff\xff\xff\xff\0\0\x01\x40\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\x01\x63\
\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\x01\x79\x0c\0\0\x01\0\0\0\x1c\0\0\x01\
\x99\x11\0\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x22\xff\
\xff\xff\xff\0\0\x01\xee\x11\0\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\x02\x3f\x11\0\
\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\x02\x62\x0c\0\0\x01\0\0\0\x1c\0\0\x02\x82\
\x11\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x27\xff\xff\
\xff\xff\0\0\x02\xbb\x11\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x02\x3f\x11\0\0\0\
\0\0\0\x27\xff\xff\xff\xff\0\0\x02\xfb\x0c\0\0\x01\0\0\0\x1c\0\0\x03\x1b\x11\0\
\0\0\0\0\0\x2c\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x2c\xff\xff\xff\xff\
\0\0\x03\x54\x11\0\0\0\0\0\0\x2c\xff\xff\xff\xff\0\0\x02\x3f\x11\0\0\0\0\0\0\
\x2c\xff\xff\xff\xff\0\0\x03\xa8\x0c\0\0\x01\0\0\0\x1c\0\0\x03\xc8\x11\0\0\0\0\
\0\0\x31\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\
\x04\x01\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\x02\x3f\x11\0\0\0\0\0\0\x31\
\xff\xff\xff\xff\0\0\x04\x54\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\x04\x80\
\x0c\0\0\x01\0\0\0\x1c\0\0\x04\xa0\x11\0\0\0\0\0\0\x37\xff\xff\xff\xff\0\0\x01\
\xd2\x11\0\0\0\0\0\0\x37\xff\xff\xff\xff\0\0\x04\xd9\x11\0\0\0\0\0\0\x37\xff\
\xff\xff\xff\0\0\x02\x3f\x11\0\0\0\0\0\0\x37\xff\xff\xff\xff\0\0\x05\x26\x0c\0\
\0\x01\0\0\0\x1c\0\0\x05\x46\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x01\xd2\
\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x05\x7f\x11\0\0\0\0\0\0\x3c\xff\xff\
\xff\xff\0\0\x05\xcc\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x06\x10\x0c\0\0\
\x01\0\0\0\x1c\0\0\x06\x2e\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x01\x24\x11\
\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x01\x40\x11\0\0\0\0\0\0\x41\xff\xff\xff\
\xff\0\0\x01\x63\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x06\x6b\x0c\0\0\x01\0\
\0\0\x1c\0\0\x06\x87\x11\0\0\0\0\0\0\x46\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\
\0\0\0\x46\xff\xff\xff\xff\0\0\x06\xc8\x11\0\0\0\0\0\0\x46\xff\xff\xff\xff\0\0\
\x02\x3f\x11\0\0\0\0\0\0\x46\xff\xff\xff\xff\0\0\x07\x19\x0c\0\0\x01\0\0\0\x1c\
\0\0\x07\x35\x11\0\0\0\0\0\0\x4b\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\
\x4b\xff\xff\xff\xff\0\0\x07\x76\x11\0\0\0\0\0\0\x4b\xff\xff\xff\xff\0\0\x02\
\x3f\x11\0\0\0\0\0\0\x4b\xff\xff\xff\xff\0\0\x07\xb6\x0c\0\0\x01\0\0\0\x1c\0\0\
\x07\xd2\x11\0\0\0\0\0\0\x50\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x50\
\xff\xff\xff\xff\0\0\x08\x13\x11\0\0\0\0\0\0\x50\xff\xff\xff\xff\0\0\x02\x3f\
\x11\0\0\0\0\0\0\x50\xff\xff\xff\xff\0\0\x08\x67\x0c\0\0\x01\0\0\0\x1c\0\0\x08\
\x83\x11\0\0\0\0\0\0\x55\xff\xff\xff\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x55\xff\
\xff\xff\xff\0\0\x08\xc4\x11\0\0\0\0\0\0\x55\xff\xff\xff\xff\0\0\x02\x3f\x11\0\
\0\0\0\0\0\x55\xff\xff\xff\xff\0\0\x04\x54\x11\0\0\0\0\0\0\x55\xff\xff\xff\xff\
\0\0\x09\x18\x0c\0\0\x01\0\0\0\x1c\0\0\x09\x34\x11\0\0\0\0\0\0\x5b\xff\xff\xff\
\xff\0\0\x01\xd2\x11\0\0\0\0\0\0\x5b\xff\xff\xff\xff\0\0\x09\x75\x11\0\0\0\0\0\
\0\x5b\xff\xff\xff\xff\0\0\x02\x3f\x11\0\0\0\0\0\0\x5b\xff\xff\xff\xff\0\0\x09\
\xc3\x0c\0\0\x01\0\0\0\x1c\0\0\x09\xdf\x11\0\0\0\0\0\0\x60\xff\xff\xff\xff\0\0\
\x01\xd2\x11\0\0\0\0\0\0\x60\xff\xff\xff\xff\0\0\x0a\x20\x11\0\0\0\0\0\0\x60\
\xff\xff\xff\xff\0\0\x0a\x6e\x11\0\0\0\0\0\0\x60\xff\xff\xff\xff\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\x0a\xb3\x0e\0\0\0\0\0\0\x65\0\0\
\0\x01\0\0\x0b\x56\x0f\0\0\x03\0\0\0\x60\0\0\0\x11\0\0\0\0\0\0\0\x20\0\0\0\x17\
\0\0\0\x20\0\0\0\x20\0\0\0\x1b\0\0\0\x40\0\0\0\x20\0\0\x0b\x5c\x0f\0\0\x01\0\0\
\0\x04\0\0\0\x66\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\
\x75\x70\x5f\x69\x6e\x6f\x64\x65\x5f\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\
\x79\x70\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x68\x61\x72\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x70\x65\x72\x63\x70\
\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x76\x61\x6c\
\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\
\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x6c\x69\x64\x20\x63\x67\
\x72\x6f\x75\x70\x20\x73\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\
\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x30\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x63\x67\x72\x6f\x75\x70\
\x20\x73\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\
\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x63\x61\x6e\x6e\x6f\x74\
\x20\x70\x61\x73\x73\x20\x6d\x61\x70\x5f\x74\x79\x70\x65\x20\x31\x20\x69\x6e\
\x74\x6f\x20\x66\x75\x6e\x63\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\x6f\x63\
\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\
\x75\x6e\x70\x72\x69\x76\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x63\x67\x72\x6f\x75\x70\
\x20\x73\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x3d\x66\x64\x20\x31\x20\x69\x73\x20\x6e\x6f\x74\x20\x70\x6f\
\x69\x6e\x74\x69\x6e\x67\x20\x74\x6f\x20\x76\x61\x6c\x69\x64\x20\x62\x70\x66\
\x5f\x6d\x61\x70\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\
\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x33\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x63\x67\x72\x6f\x75\x70\x20\x73\
\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x33\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\
\x6f\x20\x6d\x61\x70\x20\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\x3d\x36\x34\x20\x6f\x66\x66\x3d\x32\x35\x36\x20\x73\x69\x7a\
\x65\x3d\x34\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\
\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\
\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x34\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x33\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\
\x20\x6d\x61\x70\x20\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\x3d\x36\x34\x20\x6f\x66\x66\x3d\x2d\x32\x20\x73\x69\x7a\x65\x3d\
\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\
\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\
\x47\x4e\x4d\x45\x4e\x54\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x35\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x63\x67\x72\x6f\x75\x70\
\x20\x73\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x35\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x34\x3d\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x28\x29\x20\x64\x6f\x65\x73\x6e\x27\x74\x20\x73\x75\x70\x70\x6f\
\x72\x74\x20\x6e\x6f\x6e\x2d\x7a\x65\x72\x6f\x20\x66\x6c\x61\x67\x73\0\x69\x6e\
\x76\x61\x6c\x69\x64\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\x6f\x72\x61\x67\x65\
\x20\x61\x63\x63\x65\x73\x73\x20\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x67\x65\x74\
\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x28\x29\x20\x64\x6f\
\x65\x73\x6e\x27\x74\x20\x73\x75\x70\x70\x6f\x72\x74\x20\x6e\x6f\x6e\x2d\x7a\
\x65\x72\x6f\x20\x66\x6c\x61\x67\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\
\x76\x3d\x36\x3d\x52\x32\x20\x6c\x65\x61\x6b\x73\x20\x61\x64\x64\x72\x20\x69\
\x6e\x74\x6f\x20\x68\x65\x6c\x70\x65\x72\x20\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\
\x70\x65\x72\x5f\x63\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x6c\
\x69\x64\x20\x70\x65\x72\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\x20\x73\
\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\0\x63\x70\x75\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x70\x65\x72\
\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\x6f\x72\x61\x67\x65\
\x20\x61\x63\x63\x65\x73\x73\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x63\x61\x6e\
\x6e\x6f\x74\x20\x70\x61\x73\x73\x20\x6d\x61\x70\x5f\x74\x79\x70\x65\x20\x31\
\x20\x69\x6e\x74\x6f\x20\x66\x75\x6e\x63\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x63\x70\x75\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x70\x65\x72\
\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\x6f\x72\x61\x67\x65\
\x20\x61\x63\x63\x65\x73\x73\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x3d\x66\x64\x20\
\x31\x20\x69\x73\x20\x6e\x6f\x74\x20\x70\x6f\x69\x6e\x74\x69\x6e\x67\x20\x74\
\x6f\x20\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x6d\x61\x70\0\x63\x70\x75\x5f\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\x63\x63\x65\
\x73\x73\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x70\
\x65\x72\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\x6f\x72\x61\
\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3d\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x6d\x61\
\x70\x20\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\
\x3d\x36\x34\x20\x6f\x66\x66\x3d\x32\x35\x36\x20\x73\x69\x7a\x65\x3d\x34\0\x63\
\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\
\x64\x20\x70\x65\x72\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\
\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x34\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x31\x30\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\
\x6f\x20\x6d\x61\x70\x20\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\x3d\x36\x34\x20\x6f\x66\x66\x3d\x2d\x32\x20\x73\x69\x7a\x65\
\x3d\x34\0\x63\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x70\x65\x72\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\
\x20\x73\x74\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x35\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x31\x3d\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x28\x29\x20\x64\x6f\x65\x73\x6e\x27\x74\x20\x73\x75\x70\x70\
\x6f\x72\x74\x20\x6e\x6f\x6e\x2d\x7a\x65\x72\x6f\x20\x66\x6c\x61\x67\x73\0\x63\
\x70\x75\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\
\x64\x20\x70\x65\x72\x2d\x63\x70\x75\x20\x63\x67\x72\x6f\x75\x70\x20\x73\x74\
\x6f\x72\x61\x67\x65\x20\x61\x63\x63\x65\x73\x73\x20\x36\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x31\x32\x3d\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x28\x29\x20\x64\x6f\x65\x73\x6e\x27\x74\x20\x73\x75\x70\x70\x6f\x72\x74\
\x20\x6e\x6f\x6e\x2d\x7a\x65\x72\x6f\x20\x66\x6c\x61\x67\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x5f\x75\x6e\x70\x72\x69\x76\x3d\x31\x33\x3d\x52\x32\x20\x6c\x65\x61\x6b\x73\
\x20\x61\x64\x64\x72\x20\x69\x6e\x74\x6f\x20\x68\x65\x6c\x70\x65\x72\x20\x66\
\x75\x6e\x63\x74\x69\x6f\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x34\x2e\x65\
\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x34\
\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x2e\x63\0\x09\x61\x73\x6d\x20\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\
\x62\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x7c\0\0\0\x7c\0\0\0\xec\0\0\x01\
\x68\0\0\0\0\0\0\0\x08\0\0\x0b\x64\0\0\0\x0e\0\0\0\0\0\0\0\x1d\0\0\0\x40\0\0\0\
\x22\0\0\0\x80\0\0\0\x27\0\0\0\xb0\0\0\0\x2c\0\0\0\xf0\0\0\0\x31\0\0\x01\x30\0\
\0\0\x37\0\0\x01\x70\0\0\0\x3c\0\0\x01\xb0\0\0\0\x41\0\0\x01\xf0\0\0\0\x46\0\0\
\x02\x30\0\0\0\x4b\0\0\x02\x60\0\0\0\x50\0\0\x02\xa0\0\0\0\x55\0\0\x02\xe0\0\0\
\0\x5b\0\0\x03\x20\0\0\0\x60\0\0\0\x10\0\0\x0b\x64\0\0\0\x0e\0\0\0\0\0\0\x0a\
\xbc\0\0\x0b\x3f\0\0\x8c\x02\0\0\0\x40\0\0\x0a\xbc\0\0\x0b\x3f\0\0\xdc\x02\0\0\
\0\x80\0\0\x0a\xbc\0\0\x0b\x3f\0\x01\x2c\x02\0\0\0\xb0\0\0\x0a\xbc\0\0\x0b\x3f\
\0\x01\x78\x02\0\0\0\xf0\0\0\x0a\xbc\0\0\x0b\x3f\0\x01\xcc\x02\0\0\x01\x30\0\0\
\x0a\xbc\0\0\x0b\x3f\0\x02\x1c\x02\0\0\x01\x70\0\0\x0a\xbc\0\0\x0b\x3f\0\x02\
\x6c\x02\0\0\x01\xb0\0\0\x0a\xbc\0\0\x0b\x3f\0\x02\xb8\x02\0\0\x01\xf0\0\0\x0a\
\xbc\0\0\x0b\x3f\0\x03\x08\x02\0\0\x02\x30\0\0\x0a\xbc\0\0\x0b\x3f\0\x03\x58\
\x02\0\0\x02\x60\0\0\x0a\xbc\0\0\x0b\x3f\0\x03\xa4\x02\0\0\x02\xa0\0\0\x0a\xbc\
\0\0\x0b\x3f\0\x03\xf8\x02\0\0\x02\xe0\0\0\x0a\xbc\0\0\x0b\x3f\0\x04\x48\x02\0\
\0\x03\x20\0\0\x0a\xbc\0\0\x0b\x3f\0\x04\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x3d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x80\
\0\0\0\0\0\0\x01\xf8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x78\0\0\0\0\
\0\0\x03\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xd8\0\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x38\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x40\0\0\0\0\0\0\0\xc0\0\0\0\x02\0\0\0\x03\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x2f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x12\x97\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\x02\x34\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x1b\x98\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_cgroup_storage *verifier_cgroup_storage::open(const struct bpf_object_open_opts *opts) { return verifier_cgroup_storage__open_opts(opts); }
struct verifier_cgroup_storage *verifier_cgroup_storage::open_and_load() { return verifier_cgroup_storage__open_and_load(); }
int verifier_cgroup_storage::load(struct verifier_cgroup_storage *skel) { return verifier_cgroup_storage__load(skel); }
int verifier_cgroup_storage::attach(struct verifier_cgroup_storage *skel) { return verifier_cgroup_storage__attach(skel); }
void verifier_cgroup_storage::detach(struct verifier_cgroup_storage *skel) { verifier_cgroup_storage__detach(skel); }
void verifier_cgroup_storage::destroy(struct verifier_cgroup_storage *skel) { verifier_cgroup_storage__destroy(skel); }
const void *verifier_cgroup_storage::elf_bytes(size_t *sz) { return verifier_cgroup_storage__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_cgroup_storage__assert(struct verifier_cgroup_storage *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CGROUP_STORAGE_SKEL_H__ */
